wxWidgets: wxHelpControllerHelpProvider Class Reference

| Version: 3.0.5

Public Member Functions | List of all members
wxHelpControllerHelpProvider Class Reference
Class List by Category » Help

`#include </home/Hamish/wxwidgets/wxWidgets3.0-3.0.5.1-1.src/wxWidgets3.0-3.0.5.1-1.i686/src/wxWidgets-3.0.5.1/interface/wx/cshelp.h>`

Inheritance diagram for wxHelpControllerHelpProvider:
[legend]

## Detailed Description

wxHelpControllerHelpProvider is an implementation of wxHelpProvider which supports both context identifiers and plain text help strings.

If the help text is an integer, it is passed to wxHelpController::DisplayContextPopup(). Otherwise, it shows the string in a tooltip as per wxSimpleHelpProvider. If you use this with a wxCHMHelpController instance on windows, it will use the native style of tip window instead of wxTipWindow.

You can use the convenience function wxContextId() to convert an integer context id to a string for passing to wxWindow::SetHelpText().

##

Library: wxCore

<>< =''>:</>&;&;< =''>\ </></>

See also
  wxHelpProvider, wxSimpleHelpProvider, wxContextHelp, wxWindow::SetHelpText(), wxWindow::GetHelpTextAtPoint()

## Public Member Functions
| wxHelpControllerHelpProvider (wxHelpControllerBase *hc=NULL)
| Note that the instance doesn't own the help controller. More...
wxHelpControllerBase * | GetHelpController () const
| Returns the help controller associated with this help provider. More...
void | SetHelpController (wxHelpControllerBase *hc)
| Sets the help controller associated with this help provider. More...
Public Member Functions inherited from wxHelpProvider
virtual | ~wxHelpProvider ()
| Virtual destructor for any base class. More...
virtual void | AddHelp (wxWindowBase *window, const wxString &text)
| Associates the text with the given window. More...
virtual void | AddHelp (wxWindowID id, const wxString &text)
| Associates the text with the given ID. More...
virtual wxString | GetHelp (const wxWindowBase *window)=0
| This version associates the given text with all windows with this id. More...
virtual void | RemoveHelp (wxWindowBase *window)
| Removes the association between the window pointer and the help text. More...
virtual bool | ShowHelp (wxWindowBase *window)
| Shows help for the given window. More...
virtual bool | ShowHelpAtPoint (wxWindowBase *window, const wxPoint &point, wxHelpEvent::Origin origin)
| This function may be overridden to show help for the window when it should depend on the position inside the window, By default this method forwards to ShowHelp(), so it is enough to only implement the latter if the help doesn't depend on the position. More...

## Additional Inherited Members
Static Public Member Functions inherited from wxHelpProvider
static wxHelpProvider * | Get ()
| Returns pointer to help provider instance. More...
static wxHelpProvider * | Set (wxHelpProvider *helpProvider)
| Set the current, application-wide help provider. More...

## Constructor & Destructor Documentation

## ◆ wxHelpControllerHelpProvider()

wxHelpControllerHelpProvider::wxHelpControllerHelpProvider | ( | wxHelpControllerBase * | hc = `NULL` | ) |

Note that the instance doesn't own the help controller.

The help controller should be deleted separately.

## Member Function Documentation

## ◆ GetHelpController()

wxHelpControllerBase* wxHelpControllerHelpProvider::GetHelpController | ( |  | ) | const

Returns the help controller associated with this help provider.

## ◆ SetHelpController()

void wxHelpControllerHelpProvider::SetHelpController | ( | wxHelpControllerBase * | hc | ) |

Sets the help controller associated with this help provider.